export namespace main {
	
	export class ConnectionResult {
	    success: boolean;
	    message: string;
	    latency: number;
	    status: number;
	
	    static createFrom(source: any = {}) {
	        return new ConnectionResult(source);
	    }
	
	    constructor(source: any = {}) {
	        if ('string' === typeof source) source = JSON.parse(source);
	        this.success = source["success"];
	        this.message = source["message"];
	        this.latency = source["latency"];
	        this.status = source["status"];
	    }
	}
	export class Game {
	    id: string;
	    name: string;
	    icon: string;
	    url: string;
	    token: string;
	
	    static createFrom(source: any = {}) {
	        return new Game(source);
	    }
	
	    constructor(source: any = {}) {
	        if ('string' === typeof source) source = JSON.parse(source);
	        this.id = source["id"];
	        this.name = source["name"];
	        this.icon = source["icon"];
	        this.url = source["url"];
	        this.token = source["token"];
	    }
	}
	export class XRayResult {
	    success: boolean;
	    body: string;
	    latency: number;
	    error: string;
	
	    static createFrom(source: any = {}) {
	        return new XRayResult(source);
	    }
	
	    constructor(source: any = {}) {
	        if ('string' === typeof source) source = JSON.parse(source);
	        this.success = source["success"];
	        this.body = source["body"];
	        this.latency = source["latency"];
	        this.error = source["error"];
	    }
	}

}

